# BlackWolf Aerospace eXperimental - ROMBUS #
## Kerbal Space Program Mod by Lupinarius #

* * *

#### BWA-X - ROMBUS#

**Curse Forge:** <http://kerbal.curseforge.com/projects/bwa-x-rombus-pack>

**Spacedock:** <http://spacedock.info/mod/743/BWA-X%20-%20ROMBUS>

**License:** CC-BY-SA-4.0 (<http://creativecommons.org/licenses/by-sa/4.0/>)

-

This is my first Mod for KSP and is still changing, but it is primarily stable and has been tested for playability.

* * *

### This Mod contains the following parts: #

* three custom pressurized toroidal LFO tanks
* two fun "Cube" tanks not associated with the ROMBUS
* one large and one small high temperature parachute.
* two adapter Service Module tanks, 2.50m to 3.75m and 1.25m to 2.50m
* two "Size 3" 36 port Truncated Aerospike engines, one each in LFO and Hydrolox with a 6:1 Fuel/Oxidizer Ratio (See Historical Note Below)
* three different length "Size 3" LFO tanks, and three in Hydrolox, with 6:1 Ratio to match the engines
* two decoupling, radially attached cryogenic tanks containing a 6:1 LH2/LOx mix by default

* * *

### This Mod requires and includes the following dependencies: #

-

#### Module Manager # 

**Website:** <http://forum.kerbalspaceprogram.com/threads/55219>

**Source Code:** <https://github.com/sarbian/ModuleManager>

**License:** CC BY-SA 4.0 (<http://creativecommons.org/licenses/by-sa/4.0/>)

-

#### Community Resource Pack #

**Website:** <http://forum.kerbalspaceprogram.com/index.php?/topic/83007-11-community-resource-pack-050-hydrates-and-gypsum/>

**Source Code:** <https://github.com/BobPalmer/CommunityResourcePack>

**License:** CC BY-NC-SA 4.0 (<http://creativecommons.org/licenses/by-nc-sa/4.0/>)


### This Mod recommends the following mods: #

-

#### Crossfeed Enabler (Pre KSP 1.05 Only) #

**Website:** <http://forum.kerbalspaceprogram.com/index.php?/topic/69286-10-crossfeedenabler-v33-may-11/>

**Source Code:** <https://github.com/NathanKell/CrossFeedEnabler/>

**License:** CC BY-SA 4.0 (<http://creativecommons.org/licenses/by-sa/4.0/>)

-

#### Modular Fuel Tanks #

**Website:** <http://forum.kerbalspaceprogram.com/threads/64117>

**Source Code:** <https://github.com/NathanKell/ModularFuelSystem>

**License:** CC BY-SA 4.0 (<http://creativecommons.org/licenses/by-sa/4.0/>)

I have created two separate module configuration files for MFT which are located in the Modules 
subfolder and they are called, "**BWAX_modularFuelTanks.cfg**" and "**BWAX_TankTypes.cfg**"

* * *

## Historical Note #

### Background #

When I first decided to take up modding KSP I found a very interesting, although unfinished 
tutorial about how to create parts in Blender/Unity. Just like the creator of the video 
(YouTube handle is TechyBen) I was interested by the unusual shapes of the tanks in the 
tutorial. I was actually so intrigued by them that I decided that I must find out what 
spacecraft they were from, and that I must make something like it to share with others 
in KSP. It took me a while but I did finally find out what proposed space vessel those 
fascinating tanks belonged to, and have also created the basic parts to make a vehicle 
similar to it's small first run version. It was the ROMBUS vehicle.

### THE ROMBUS #

Phil Bono of Douglas Space and Missiles Company (later McDonnell Douglas), designed the ROMBUS 
vehicle in the 1960's as part of what would become the Douglas Saturn Application Single Stage 
To Orbit or SASSTO vehicle concept. This vehicle was designed at the same time as the NEXUS 
booster and first ORION concepts. It had a much larger military based variant called ITHACUS and 
the PEGASUS was to be a civilian point to point sub-orbital model. this later spawned the HYPERION 
which later contributed to the PHOENIX B and it's developments eventually went into the very cool 
DELTA CLIPPER Project. A PDF about the history of the PHOENIX VTOL SSTO which includes some 
background about the ROMBUS and the Douglas SASSTO should be available at:

<http://www.1000planets.com/papers/phoenix-history.pdf>

-

### FUTURE DEVELOPMENT #

If you can provide me with advice on any of these, or simply wish to give constructive feedback I am very happy to hear it!

-

1. Add animated covered parachute hatches to the top of the radial fuel tanks, so they can be used as a habitat when empty, like the original design.

2. Add limited emissive animation to the thrust ports on the engine, while maintaining the heat-shield animation ability.

3. Add texture switching and/or tank switching options via Firespitter or Interstellar Fuel Switch.
